
Foreman - Feature #15806

Add eslint to foreman

07/24/2016 10:28 AM - Gail Steiger

Status: Closed   

Priority: Normal   

Assignee: Gail Steiger   

Category: Tests   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3673,

https://github.com/theforeman/foreman/p

ull/3763,

https://github.com/theforeman/foreman/p

ull/6023,

https://github.com/theforeman/foreman/p

ull/6024

  

Description

Add eslint to foreman as a lint checker for the javascript code

Related issues:

Precedes Foreman - Feature #16222: Make Hound run ESLint on new JS Closed 07/25/2016 07/25/2016

Associated revisions

Revision 45ac4eb4 - 08/22/2016 11:06 AM - Gail Steiger

fixes #15806 - Add linting to webpack

This commit adds linting to webpack processing via eslint.

Revision 9d641245 - 08/22/2016 03:06 PM - Gail Steiger

Fixes #15806 - add babel-eslint dependency to package.json

Revision be8a612b - 09/13/2018 06:12 AM - Michael Moll 

Refs #15806 - add eslint also to travis tests

History

#1 - 07/24/2016 10:30 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 110

- Pull request https://github.com/theforeman/foreman/pull/3673 added

#2 - 07/25/2016 02:56 AM - Dominic Cleal

- Target version deleted (110)

#3 - 07/29/2016 01:00 PM - Daniel Lobato Garcia

- Target version set to 1.7.1

#4 - 08/10/2016 07:44 AM - Daniel Lobato Garcia

- Target version changed from 1.7.1 to 1.6.2

#5 - 08/22/2016 04:15 AM - Daniel Lobato Garcia

- Precedes Feature #16222: Make Hound run ESLint on new JS added
#6 - 08/22/2016 12:02 PM - Gail Steiger

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 45ac4eb420765bb8ffd8a1a71c42ef9bdb2aa02e.

#7 - 08/22/2016 03:02 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3763 added

#8 - 08/23/2016 03:26 AM - Dominic Cleal

- Category changed from Web Interface to Tests

#9 - 08/23/2016 03:27 AM - Dominic Cleal

- translation missing: en.field_release set to 160

#10 - 09/01/2018 09:25 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6023 added

#11 - 09/02/2018 01:17 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6024 added
